ServerEvents.recipes(event => {
    event.shaped('1x spectrum:quitoxic_reeds', [
      'SAS',
      'S S',
      'SAS'
    ], {
      S: 'minecraft:sugar_cane',
      A: 'spectrum:green_pigment'
    }),
    event.shaped('1x ftbquests:book', [
      'SA ',
      '   ',
      '   '
    ], {
      S: 'minecraft:book',
      A: 'minecraft:stone'
    }),
    event.shaped('1x croparia:seed_crop_copper', [
        'SAS',
        'SCS',
        'SAS'
      ], {
        S: 'minecraft:wheat_seeds',
        A: 'minecraft:copper_ingot',
        C: 'croparia:croparia2'
      })
      event.shaped('ad_astra:earth_globe', [
        'ABC',
        'DEF',
        'GHI'
      ], {
        A: 'minecraft:water_bucket',
        B: Item.of('minecraft:flint_and_steel', '{Damage:0}'),
        C: 'artifacts:cloud_in_a_bottle',
        D: 'minecraft:grass_block',
        E: 'ad_astra:moon_globe',
        F: 'minecraft:diamond_ore',
        G: 'minecraft:oak_log',
        H: 'minecraft:oak_sapling',
        I: 'minecraft:stone',
      })
      event.shaped('ad_astra:mars_globe', [
        'ABC',
        'DEF',
        'GHI'
      ], {
        A: 'ad_astra:ostrum_plating_button',
        B: 'ad_astra:mars_cobblestone',
        C: 'ad_astra:mars_iron_ore',
        D: 'ad_astra:ostrum_block',
        E: 'ad_astra:earth_globe',
        F: 'ad_astra:mars_ostrum_ore',
        G: 'ad_astra:ostrum_fluid_pipe',
        H: 'ad_astra:mars_diamond_ore',
        I: 'ad_astra:mars_ice_shard_ore',
      })
      event.shaped('ad_astra:venus_globe', [
        'ABC',
        'DEF',
        'GHI'
      ], {
        A: 'ad_astra:calorite_plating_button',
        B: 'ad_astra:venus_sandstone',
        C: 'ad_astra:venus_coal_ore',
        D: 'ad_astra:calorite_block',
        E: 'ad_astra:mars_globe',
        F: 'ad_astra:venus_gold_ore',
        G: 'ad_astra:calorite_pillar',
        H: 'ad_astra:venus_calorite_ore',
        I: 'ad_astra:venus_diamond_ore',
      })
      event.shaped('ad_astra:mercury_globe', [
        'ABC',
        'DEF',
        'GHI'
      ], {
        A: 'ad_astra:calorite_plating_button',
        B: 'ad_astra:mercury_stone',
        C: 'ad_astra:mercury_iron_ore',
        D: 'ad_astra:calorite_block',
        E: 'ad_astra:venus_globe',
        F: 'ad_astra:calorite_ingot',
        G: 'ad_astra:calorite_pillar',
        H: 'ad_astra:calorite_ingot',
        I: 'ad_astra:calorite_ingot',
      })
      event.shaped('ad_astra:glacio_globe', [
        'ABC',
        'DEF',
        'GHI'
      ], {
        A: 'ad_astra:glacian_leaves',
        B: 'ad_astra:glacio_stone',
        C: 'ad_astra:glacio_ice_shard_ore',
        D: 'ad_astra:glacian_log',
        E: 'ad_astra:mercury_globe',
        F: 'ad_astra:glacio_coal_ore',
        G: 'ad_astra:glacio_lapis_ore',
        H: 'ad_astra:glacio_iron_ore',
        I: 'ad_astra:glacio_copper_ore',
      }),
      event.remove({mod: 'croparia', output: 'croparia:greenhouse'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_white'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_magenta'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_light_blue'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_yellow'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_lime'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_pink'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_gray'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_light_gray'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_cyan'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_purple'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_orange'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_black'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_red'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_green'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_brown'})
      event.remove({mod: 'croparia', output: 'croparia:greenhouse_blue'})
  })
